#ifndef CWORKTABLEOFFSET_H
#define CWORKTABLEOFFSET_H

#include "CChannel.h"
#include "export_worktable_driver.h"
typedef QMMutexList<QPair<double,double> > OFFSETLIST;
class WORKTABLE_DRIVER_EXPORT CWorktableOffset : public CChannel
{
public:
    CWorktableOffset(const QString& name,int32_t id);
	virtual ~CWorktableOffset();

    OFFSETLIST m_offsetList;
    OFFSETLIST m_offsetListCur;

    virtual void writeOffsetList();
    virtual void readOffsetList();
	virtual void writeOffsetToCsv();
    virtual void Serialize(QDataStream& stream,bool bwrite);

    virtual QDomElement WriteConfig(QDomDocument &doc, QDomElement &root) override;
    virtual int ReadConfig(QDomElement &root) override;
};

#endif // CWORKTABLEOFFSET_H
